#ifndef MSP_GL_GL_H_
#define MSP_GL_GL_H_

#ifdef __APPLE__
#define extern extern __attribute__((weak_import))
#include <OpenGL/gl.h>
#include <OpenGL/glext.h>
#undef extern
#elif defined(__ANDROID__)
#include <GLES2/gl2.h>
#include <GLES2/gl2ext.h>
typedef double GLdouble;
#else
#ifdef WIN32
#include <windows.h>
#endif
#include <GL/gl.h>
#include <GL/glext.h>
#endif

#ifndef APIENTRY
#define APIENTRY
#endif

#endif
