#ifndef MSP_GL_CAPSULE_H_
#define MSP_GL_CAPSULE_H_

#include "geometrybuilder.h"

namespace Msp {
namespace GL {

class CapsuleBuilder: public GeometryBuilder
{
private:
	float radius;
	float length;
	unsigned segments;
	unsigned rings;

public:
	CapsuleBuilder(float, float, unsigned = 16, unsigned = 9);

	using GeometryBuilder::build;
	virtual void build(PrimitiveBuilder &) const;
};

} // namepace GL
} // namespace Msp

#endif
